# Prometheus metrics

Metrics for the processes and other aspects are provided for a Prometheus scraper on `/metrics`.

{% hint style="success" %}
You have to set [metrics.enable](/core/configuration/metrics.md#enable-bool) and [metrics.enable\_prometheus](/core/configuration/metrics.md#enable_prometheus-bool) to `true` in the settings
{% endhint %}

Currently, available metrics are:

<table><thead><tr><th width="248">Metric</th><th width="101">Type</th><th>Dimensions</th><th>Description</th></tr></thead><tbody><tr><td>ffmpeg_process</td><td>gauge</td><td><code>core</code>, <code>process</code>, <code>name</code></td><td>General stats per process.</td></tr><tr><td>ffmpeg_process_io</td><td>gauge</td><td><code>core</code>, <code>process</code>, <code>type</code>, <code>id</code>, <code>index</code>, <code>media</code>, <code>name</code></td><td>Stats per input and output of a process.</td></tr><tr><td>mem_limit_bytes</td><td>gauge</td><td><code>core</code></td><td>Total available memory in bytes.</td></tr><tr><td>mem_free_bytes</td><td>gauge</td><td><code>core</code></td><td>Free memory in bytes.</td></tr><tr><td>net_rx_bytes</td><td>gauge</td><td><code>core</code>, <code>interface</code></td><td>Number of received bytes by interface.</td></tr><tr><td>net_tx_bytes</td><td>gauge</td><td><code>core</code>, <code>interface</code></td><td>Number of sent bytes by interface.</td></tr><tr><td>cpus_system_time_secs</td><td>gauge</td><td><code>core</code>, <code>cpu</code></td><td>System time per CPU in seconds.</td></tr><tr><td>cpus_user_time_secs</td><td>gauge</td><td><code>core</code>, <code>cpu</code></td><td>User time per CPU in seconds.</td></tr><tr><td>cpus_idle_time_secs</td><td>gauge</td><td><code>core</code>, <code>cpu</code></td><td>Idle time per CPU in seconds.</td></tr><tr><td>session_total</td><td>counter</td><td><code>core</code>, <code>collector</code></td><td>Total number of sessions by collector.</td></tr><tr><td>session_active</td><td>gauge</td><td><code>core</code>, <code>collector</code></td><td>Current number of active sessions by collector.</td></tr><tr><td>session_rx_bytes</td><td>counter</td><td><code>core</code>, <code>collector</code></td><td>Total received bytes by collector.</td></tr><tr><td>session_tx_bytes</td><td>counter</td><td><code>core</code>, <code>collector</code></td><td>Total sent bytes by collector.</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.datarhei.com/core/general/prometheus-metrics.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
